Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.weld
Class WeldBootstrap

    java.lang.Object
      org.jboss.weld.environment.se.Weld
          org.jbehave.core.configuration.weld.WeldBootstrap

    @ApplicationScoped
    public class WeldBootstrap

extends org.jboss.weld.environment.se.Weld

Nested Class Summary
`static class` | `WeldBootstrap.InstanceManager`

Constructor Summary
`WeldBootstrap()`

Method Summary
`protected org.jboss.weld.bootstrap.spi.Deployment` | `createDeployment(org.jboss.weld.resources.spi.ResourceLoader resourceLoader, org.jboss.weld.bootstrap.api.Bootstrap bootstrap)`
`WeldAnnotationBuilder` | `findAnnotationBuilder(Class<?> annotatedClass)`
`org.jboss.weld.environment.se.WeldContainer` | `initialize()`

Methods inherited from class org.jboss.weld.environment.se.Weld
`getInstanceByType, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeldBootstrap

    public WeldBootstrap()

Method Detail

### createDeployment

    protected org.jboss.weld.bootstrap.spi.Deployment createDeployment(org.jboss.weld.resources.spi.ResourceLoader resourceLoader,
                                                                       org.jboss.weld.bootstrap.api.Bootstrap bootstrap)

  Overrides:
    `createDeployment` in class `org.jboss.weld.environment.se.Weld`

### initialize

    public org.jboss.weld.environment.se.WeldContainer initialize()

  Overrides:
    `initialize` in class `org.jboss.weld.environment.se.Weld`

### findAnnotationBuilder

    public WeldAnnotationBuilder findAnnotationBuilder(Class<?> annotatedClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.